Overview
PUT/document/documents/{id}document

Update documents

Replace a record in documents by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • titleoptionalstring
  • docTypeoptionalstring
  • isDeletedoptionalboolean
  • lastOpIdoptionalstring?
  • lastSnapshotIdoptionalstring?
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "title": "string",
  "docType": "string",
  "isDeleted": true,
  "lastOpId": "string",
  "lastSnapshotId": "string"
}
Responses
200

documents

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • titlestring
  • docTypestring
  • createdAtstring
  • updatedAtstring
  • isDeletedboolean
  • syncVersioninteger
  • lastOpIdstring?
  • lastSnapshotIdstring?
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "title": "string",
  "docType": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "isDeleted": true,
  "syncVersion": 0,
  "lastOpId": "string",
  "lastSnapshotId": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/document/documents/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "title": "string",
  "docType": "string",
  "isDeleted": true,
  "lastOpId": "string",
  "lastSnapshotId": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/documents/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"title\": \"string\",\n  \"docType\": \"string\",\n  \"isDeleted\": true,\n  \"lastOpId\": \"string\",\n  \"lastSnapshotId\": \"string\"\n}",
});
const data = await res.json();